
QGIS Application - Bug report #10264

Geojson/Sqlite/Mbtiles extensions not correctly picked from file selector and outout is not correctly 

generated

2014-05-14 02:07 AM - Victor Olaya

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18696

Description

New description:

When an output extension is >5 chars the extension in the output is truncated (to 5 chars) and the output is wrong.

Old description:

When a file is selected as output in the file selector, if it is a geojson, the extension used is geojs instead of geojson

Associated revisions

Revision 1579a68b - 2015-06-22 09:25 AM - Victor Olaya

[processing] correctly handle filenames with long extension names in output file selector

fixes #10264

History

#1 - 2014-06-21 08:57 AM - Jürgen Fischer

- Project changed from 78 to QGIS Application

- Affected QGIS version set to 2.2.0

- Crashes QGIS or corrupts data set to No

#2 - 2014-06-21 08:57 AM - Jürgen Fischer

- Category set to 94

#3 - 2015-05-25 07:48 AM - Giovanni Manghi

- Target version set to Future Release - Lower Priority

#4 - 2015-06-03 05:18 AM - Paolo Cavallini

- Affected QGIS version changed from 2.2.0 to 2.8.2

Here it saves also a .geojs.shp, which is the one loaded.

#5 - 2015-06-07 12:58 AM - Giovanni Manghi

- Subject changed from Geojson extension not correctly picked from file selector to Geojson/Sqlite/Mbtiles extensions not correctly picked from file 

selector and outout is not correctly generated

- Priority changed from Low to High
- Target version changed from Future Release - Lower Priority to Future Release - High Priority

- Affected QGIS version changed from 2.8.2 to master

#6 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#7 - 2015-06-22 12:25 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"1579a68b13b4f69f48620b16eac3dff309ac3ff4".
